Package com.xebialabs.xlrelease.api.v1

## Interface DslApi

- All Superinterfaces:
    `ApiService`

      @Path("/api/v1/dsl")
      public interface DslApi
      extends ApiService

  Operations with release DSL.

- - ### Field Summary

    - ### Fields inherited from interface com.xebialabs.xlrelease.api.ApiService

      `DEFAULT_RESULTS_PER_PAGE, DEFAULT_RESULTS_PER_PAGE_STRING, DEPTH, ORDER_BY, PAGE, PAGE_IS_OFFSET, RESULTS_PER_PAGE, ROLE_IDS_DATA`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `exportTemplate​(Release template)` | Exports template as DSL.
    `java.lang.String` | `exportTemplate​(Release template, boolean asTemplate)` |
    `javax.ws.rs.core.Response` | `exportTemplateToXFile​(java.lang.String templateId, boolean asTemplate)` | Exports given template into DSL.
    `javax.ws.rs.core.Response` | `previewExportTemplateToXFile​(java.lang.String templateId, boolean asTemplate)` | Shows a DSL preview of a given template.
    `default java.lang.String` | `serviceName()` |

- - ### Method Detail

    - #### serviceName

          default java.lang.String serviceName()

      Specified by:
        `serviceName` in interface `ApiService`

    - #### previewExportTemplateToXFile

          @GET
          @Path("/preview/{templateId:.*Release[^/]*}")
          @Produces("text/plain")
          javax.ws.rs.core.Response previewExportTemplateToXFile​(@PathParam("templateId")
                                                                 java.lang.String templateId,
                                                                 @QueryParam("exportTemplate")
                                                                 boolean asTemplate)

      Shows a DSL preview of a given template.
      Parameters:
        `templateId` - the template identifier.
        `asTemplate` - if true, will render as template, otherwise will render as release.
      Returns:
        UTF-8 encoded DSL string

    - #### exportTemplateToXFile

          @GET
          @Path("/export/{templateId:.*Release[^/]*}")
          @Produces("application/octet-stream")
          javax.ws.rs.core.Response exportTemplateToXFile​(@PathParam("templateId")
                                                          java.lang.String templateId,
                                                          @QueryParam("exportTemplate")
                                                          boolean asTemplate)

      Exports given template into DSL.
      Parameters:
        `templateId` - the template identifier.
        `asTemplate` - if true, will render as template, otherwise will render as release.
      Returns:
        a zip file with the DSL and attachments if the template contains them

    - #### exportTemplate

          java.lang.String exportTemplate​(Release template)

      Exports template as DSL.
      Parameters:
        `template` - template to export
      Returns:
        DSL string

    - #### exportTemplate

          java.lang.String exportTemplate​(Release template,
                                          boolean asTemplate)